package com.dev.swms.server.model.abstractEntity;

import java.util.Date;

import com.dev.energy.server.model.Entity;
import com.dev.swms.server.model.base.WarehouseArea;

public class AutoProductionLog extends Entity{

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	/** 辅线台数 */
	private Double fxQty=0d;
	/** 计划台数 */
	private Double planQty=0d;
	
	/** 计划台数 */
	private Double sjQty=0d;
	/** 耗用台数 */
	private Double hyQty=0d;
	/** 收货仓库 */
	private WarehouseArea zone1;
	/** 描述 */
	private String description;
	
	/** 创建人 */
	private String createBy;
	/** 创建时间 */
	private Date createDate;

	/** 生产顺序ids */
	private String scsx;
	private AutoProduction   autoProduction;
	
	
	public AutoProduction getAutoProduction() {
		return autoProduction;
	}
	public void setAutoProduction(AutoProduction autoProduction) {
		this.autoProduction = autoProduction;
	}
	public Double getSjQty() {
		return sjQty;
	}
	public void setSjQty(Double sjQty) {
		this.sjQty = sjQty;
	}
	public String getScsx() {
		return scsx;
	}
	public void setScsx(String scsx) {
		this.scsx = scsx;
	}
	public String getDescription() {
		return description;
	}
	public void setDescription(String description) {
		this.description = description;
	}
	public Double getFxQty() {
		return fxQty;
	}
	public void setFxQty(Double fxQty) {
		this.fxQty = fxQty;
	}
	public Double getPlanQty() {
		return planQty;
	}
	public void setPlanQty(Double planQty) {
		this.planQty = planQty;
	}
	public Double getHyQty() {
		return hyQty;
	}
	public void setHyQty(Double hyQty) {
		this.hyQty = hyQty;
	}
	public WarehouseArea getZone1() {
		return zone1;
	}
	public void setZone1(WarehouseArea zone1) {
		this.zone1 = zone1;
	}
	public String getCreateBy() {
		return createBy;
	}
	public void setCreateBy(String createBy) {
		this.createBy = createBy;
	}
	public Date getCreateDate() {
		return createDate;
	}
	public void setCreateDate(Date createDate) {
		this.createDate = createDate;
	}
	
}
